Announcement Announcement Module
Collapse
No announcement yet.
Jboss 6.0 integeration with spring Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Jboss 6.0 integeration with spring

    I have ann application which was working perfectly on jboss 5.0 . But when I moved into Jboss 6, I started getting errors and problems with libraries it seems

    Libraries am using

    aopalliance-1.0

    bcmail-jdk16-145

    bcprov-jdk16-143

    commons-beanutils-1.8.0

    commons-collections-3.2

    commons-digester-2.0

    commons-i18n-0.5

    commons-logging

    dom4j

    drools-api-5.2.2

    drools-bam-5.2.2

    drools-compiler-5.2.2

    drools-core-5.2.2

    drools-flow-compiler-5.2.2

    drools-flow-core-5.2.2

    drools-flow-persistence-jpa-5.2.2

    drools-persistence-jpa-5.2.2

    drools-process-task-5.2.2

    ehcache-1.6.2

    gwt-console-client-1.1.2

    gwt-console-server-1.1.2

    hibernate-annotations-3.5.6-Final

    hibernate-commons-annotations-3.2.0.Final

    hibernate-core-3.5.6-Final

    hibernate-ehcache-3.6.0.Final

    hibernate-entitymanager-3.5.6-Final

    hibernate-jpa-2.0-api-1.0.0.Final

    hibernate-validator

    hibernate-validator-4.0.2.GA

    hsqldb-1.8.0.7

    iText-2.1.3

    javamail-crypto

    javamail-crypto-bouncycastle

    javassist-3.1

    mina-core-2.0.0-M3

    poi-3.6-20091214

    quartz-1.8.4

    richfaces-api-3.3.3.CR1

    richfaces-impl-3.3.3.CR1

    richfaces-ui-3.3.3.CR1

    slf4j-api-1.5.2

    slf4j-log4j12-1.5.2

    sprin.oxm-3.0.2

    spring.aop-3.0.2

    spring.asm-3.0.2

    spring.beans-3.0.2

    spring.context.support-3.0.2

    spring.context-3.0.2

    spring.core-3.0.2

    spring.expression-3.0.2

    spring.jdbc-3.0.2

    spring.orm-3.0.2

    spring.test-3.0.2

    spring.transaction-3.0.2

    spring.web.portlet-3.0.2

    spring.web.servlet-3.0.2

    spring.web.struts-3.0.2

    spring.web-3.0.2

    spring-security-acl-3.0.2

    spring-security-config-3.0.2

    spring-security-core-3.0.2

    spring-security-taglibs-3.0.2

    spring-security-web-3.0.2

    xpp3_min-1.1.3.4.O

    xstream-1.0



    the error http://community.jboss.org/servlet/J...9/boot.log.zip

    Seems main error is
    nested exception is java.lang.NoClassDefFoundError: org/jboss/virtual/VFS
    at org.springframework.beans.factory.support.BeanDefi nitionValueResolver.resolveReference(BeanDefinitio nValueResolver.java:328) [:3.0.2.RELEASE]
    at org.springframework.beans.factory.support.BeanDefi nitionValueResolver.resolveValueIfNecessary(BeanDe finitionValueResolver.java:106) [:3.0.2.RELEASE]
    at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.applyPropertyValues(Abs tractAutowireCapableBeanFactory.java:1317) [:3.0.2.RELEASE]
    at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.populateBean(AbstractAu towireCapableBeanFactory.java:1076) [:3.0.2.RELEASE

    the way i see it... its crashing on BeanDefinitionValueResolver.java which is calling jboss-classloader.jar ( BaseClassLoader.java).
    BeanDefinitionValueResolver.java is located in spring.beans-3.0.2.jar. in Jboss 5 its working, not in 6 tho. Anyone can help with me compatible libraries for spring on jboss 6. How to change above libraries to get my job done

  • #2
    i replaced this librarires
    sprin.oxm-3.0.2

    spring.aop-3.0.2

    spring.asm-3.0.2

    spring.beans-3.0.2

    spring.context.support-3.0.2

    spring.context-3.0.2

    spring.core-3.0.2

    spring.expression-3.0.2

    spring.jdbc-3.0.2

    spring.orm-3.0.2

    spring.test-3.0.2

    spring.transaction-3.0.2

    spring.web.portlet-3.0.2

    spring.web.servlet-3.0.2

    spring.web.struts-3.0.2

    spring.web-3.0.2



    with jars from http://www.springsource.org/download , the latest wokred.



    now i got this error



    Servlet.service() for servlet jsp threw exception: org.apache.jasper.JasperException /tld/CustomSprinSecTags.tld not found.





    the security libraries am using



    spring-security-acl-3.0.2

    spring-security-config-3.0.2

    spring-security-core-3.0.2

    spring-security-taglibs-3.0.2

    spring-security-web-3.0.2

    Comment

    Working...
    X